Turn off Revision Slider on Special:ComparePages and Special:Diff for different pages
Closed, ResolvedPublic2 Story Points

Description

Hi. The RS creates something weird when comparing different pages (try he:Special:diff/19354520/19357934, and see the url address with two NaN-s after slider opening). Btw, the wikEdDiff stops working at all.

Restricted Application added a project: TCB-Team. · View Herald TranscriptSep 30 2016, 12:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore triaged this task as High priority.Oct 4 2016, 4:42 PM
Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.

So the RevisionSlider is not shown on SpecialPages, however Special:Diff redirects away from a special page to a regular diff page and thus the slider is still loaded here.
The titles of the two revision ids should be compared instead and only if they match the revisionslider should be loaded!

Change 314033 had a related patch set uploaded (by Addshore):
Only load when revisions are from the same title

https://gerrit.wikimedia.org/r/314033

Addshore set the point value for this task to 2.
Addshore claimed this task.
Addshore moved this task from Proposed to Review on the WMDE-QWERTY-Team-Experimental-Sprint board.
Addshore moved this task from Backlog to Needs Review / Blocked / Waiting on the User-Addshore board.
IKhitron renamed this task from Turn off Revision Slider on Special:ComparePages and Special/Diff for different pages to Turn off Revision Slider on Special:ComparePages and Special:Diff for different pages.Oct 5 2016, 12:04 AM
IKhitron updated the task description. (Show Details)

Change 314033 merged by jenkins-bot:
Only load when revisions are from the same title

https://gerrit.wikimedia.org/r/314033

Addshore closed this task as Resolved.Oct 5 2016, 10:28 PM
Tobi_WMDE_SW moved this task from Incoming to Done on the Revision-Slider board.Oct 28 2016, 2:00 PM